package com.goafanti.cognizance.bo;

import java.math.BigDecimal;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputOrgTechProduct {
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		id;
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		uid;

	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		serialNumber;

	@Size(min = 0, max = 32, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		productName;

	@Max(value = 999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		technicalField1;

	@Max(value = 999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		technicalField2;

	@Max(value = 999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		technicalField3;

	@Max(value = 9, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		technicalSource;

	@Max(value = (long)999999.99, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private BigDecimal	lastYearRevenue;

	@Max(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		mainProduct;

	@Size(min = 0, max = 500, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		intellectualPropertyNumber;

	@Size(min = 0, max = 500, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		keyTechnology;

	@Size(min = 0, max = 500, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		competitiveEdge;

	@Size(min = 0, max = 500, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		conditionEffect;

	@Max(value = 999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer		year;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String		accountUrl;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public Integer getTechnicalField1() {
		return technicalField1;
	}

	public void setTechnicalField1(Integer technicalField1) {
		this.technicalField1 = technicalField1;
	}

	public Integer getTechnicalField2() {
		return technicalField2;
	}

	public void setTechnicalField2(Integer technicalField2) {
		this.technicalField2 = technicalField2;
	}

	public Integer getTechnicalField3() {
		return technicalField3;
	}

	public void setTechnicalField3(Integer technicalField3) {
		this.technicalField3 = technicalField3;
	}

	public Integer getTechnicalSource() {
		return technicalSource;
	}

	public void setTechnicalSource(Integer technicalSource) {
		this.technicalSource = technicalSource;
	}

	public BigDecimal getLastYearRevenue() {
		return lastYearRevenue;
	}

	public void setLastYearRevenue(BigDecimal lastYearRevenue) {
		this.lastYearRevenue = lastYearRevenue;
	}

	public Integer getMainProduct() {
		return mainProduct;
	}

	public void setMainProduct(Integer mainProduct) {
		this.mainProduct = mainProduct;
	}

	public String getIntellectualPropertyNumber() {
		return intellectualPropertyNumber;
	}

	public void setIntellectualPropertyNumber(String intellectualPropertyNumber) {
		this.intellectualPropertyNumber = intellectualPropertyNumber;
	}

	public String getKeyTechnology() {
		return keyTechnology;
	}

	public void setKeyTechnology(String keyTechnology) {
		this.keyTechnology = keyTechnology;
	}

	public String getCompetitiveEdge() {
		return competitiveEdge;
	}

	public void setCompetitiveEdge(String competitiveEdge) {
		this.competitiveEdge = competitiveEdge;
	}

	public String getConditionEffect() {
		return conditionEffect;
	}

	public void setConditionEffect(String conditionEffect) {
		this.conditionEffect = conditionEffect;
	}

	public Integer getYear() {
		return year;
	}

	public void setYear(Integer year) {
		this.year = year;
	}

	public String getAccountUrl() {
		return accountUrl;
	}

	public void setAccountUrl(String accountUrl) {
		this.accountUrl = accountUrl;
	}
	
	

}
